Get transaction list
curl --request GET \
--url https://tag.alfa-bot.com/api/prod/v1/transactions \
--header 'token: <api-key>'import requests
url = "https://tag.alfa-bot.com/api/prod/v1/transactions"
headers = {"token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {token: '<api-key>'}};
fetch('https://tag.alfa-bot.com/api/prod/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "200",
"error_code": null,
"error_message": null,
"data": {
"count": 321,
"transactions": [
{
"transaction_id": "5891781524940",
"network": "trx",
"direction": "out",
"status": "completed",
"amount": "1",
"currency": "TRX",
"sender_wallet": "Exchange TRC20",
"recipient_wallet": "TLEdfDn7oyL3h5NYQVgK69E6Y7NKRr23ea",
"hash": "96fa587a6b44bcb1c2d17958b18d1b2bb89a5453d6be0098f8e1ea8dfe5b591b",
"fee": "0.1",
"created_at": "2026-06-15 12:02:37.869609+00"
}
],
"result": "success"
}
}{
"code": "400",
"error_code": "request",
"error_message": "Validation failed: invalid filter or pagination parameters",
"data": {
"created_from": "Must be valid ISO 8601 date-time",
"created_to": "Must be valid ISO 8601 date-time",
"limit": "Maximum value is 300. Default value is 100",
"offset": "Must be greater than or equal to 0",
"direction": "Allowed values: in, out",
"status": "Allowed values: in_progress, completed, error",
"sort_by": "Allowed values: status, created_at",
"sort_direction": "Allowed values: asc, desc"
}
}{
"code": "500",
"error_code": "system",
"error_message": "Unexpected server error. Please try again later.",
"data": null
}History
Get transaction list
GET
/
transactions
Get transaction list
Authorizations
Pass your API token in the token request header.
Query Parameters
Start date filter in ISO 8601 format. Example: 2025-05-01T00:00:19.662Z.
End date filter in ISO 8601 format. Example: 2025-05-01T00:00:19.662Z.
Currency/token filter. Use one of the supported currency codes.
Example:
"USDT"
Transaction direction filter.
Available options:
in, out Transaction ID filter.
Pagination limit. Maximum value is 300. Default value is 100.
Required range:
1 <= x <= 300Network filter. Use one of the supported network codes.
Example:
"trx"
Pagination offset. Must be greater than or equal to 0.
Required range:
x >= 0Sort field.
Available options:
status, created_at Sort direction.
Available options:
asc, desc Transaction status filter.
Available options:
in_progress, completed, error Search by transaction_id, sender_wallet, recipient_wallet or hash.
Response
OK - transaction list was returned successfully